actionColourTable:          ;    * = number
    dd colour_orange        ; 0     extension token, remove space from previous word, do not change the colour
    dd colour_yellow        ; 1     yellow "immediate" word
    dd colour_yellow        ; 2  *  yellow "immediate" 32 bit number in the following pre-parsed cell
    dd colour_red           ; 3     red forth wordlist "colon" word
    dd colour_green         ; 4     green compiled cf2023
    dd colour_green         ; 5  *  green compiled 32 bit number in the following pre-parsed cell
    dd colour_green         ; 6  *  green compiled 27 bit number in the high bits of the token
    dd colour_cyan          ; 7     cyan macro wordlist "colon" word
    dd colour_yellow        ; 8  *  yellow "immediate" 27 bit number in the high bits of the token
    dd colour_white         ; 9     white lower-case comment
    dd colour_white         ; A     first letter capital comment
    dd colour_white         ; B     white upper-case comment
    dd colour_magenta       ; C     magenta variable
    dd colour_silver        ; D
    dd colour_blue          ; E     editor formatting commands
    dd colour_black         ; F

actionColourTable2:         ;
; Bit 0   extension token bit , remove space from previous name word, do not change the colour
    ; Bit 1   name bit = 1      names and actions
        ; Bits 2 and 3,  2 action bits     + 24 bit Shannon-Fano word
        0 0     dd colour_red           ; 3     red forth wordlist "colon" word
        0 1     dd colour_green         ; 4     green forth wordlist is searched first, compiled
        1 0     dd colour_yellow        ; 1     yellow "immediate" word, forth wordlist is searched first, executed
        1 1     dd colour_cyan          ; 7     cyan macro wordlist is searched first, before the forth wordlist, executed
            ; Bits 4 to 31, 28 bits of Shannon-Fano compressed name
    ; Bit 1   name bit = 0      numbers and strings
        ; Bit 2, number or string = 0 = number
            ; Bit 3 ,  1 action bit     + 24 bit number value
            0       dd colour_green         ; 4     green compiled number
            1       dd colour_yellow        ; 1     yellow "immediate" number
                ; Bits 4 and 5, 2 size bits
                0 0     24 bit
                0 1     32 bit  (1 extension token required)
                1 0     48 bit  (1 extension token required)
                1 1     64 bit  (2 extension tokens required)
                    ; Bits 6 and 7 format bits
                    0 0     unsigned decimal
                    0 1     unsigned hex
                    1 0     signed decimal
                    1 1     Magenta variable, returns address in variable table, one 32 bit value for each defined word (?)
                        ; Bits 8 to 31, 24 bits of number value or Magenta variable name

        ; Bit 2, number or string = 1 = string
            ; Bits 3 and 4, 2 format bits
            0 0     Shannon-Fano 
            0 1     ASCII
            1 0     
            1 1     
                ; Bits 5 and 6, 2 format bits
                0 0     lowercase
                0 1     UPPERCASE
                1 0     Camelcase
                1 1     Blue token, adjusts screen display formatting
                    ; Bits 8 to 31, 24 bits of number value or Magenta variable name




actionColourTable3:         ;
; Bit 0   extension token bit , remove space from previous name word, do not change the colour
    ; Bit 1   name bit = 1      names and actions
        ; Bits 2 and 3,  2 action bits     + 24 bit Shannon-Fano word
        0 0 0     dd colour_red           ; 3     red forth wordlist "colon" word
        0 0 1     dd colour_green         ; 4     green forth wordlist is searched first, compiled
        0 1 0     dd colour_yellow        ; 1     yellow "immediate" word, forth wordlist is searched first, executed
        0 1 1     dd colour_cyan          ; 7     cyan macro wordlist is searched first, before the forth wordlist, executed
        1 0 0     Magenta variable, returns address in variable table, one 32 bit value for each defined word
        1 0 1     White lowercase 
        1 1 0     White UPPERCASE 
        1 1 1     White Camelcase 
            ; Bits 5 to 31, 27 bits of Shannon-Fano compressed name

    ; Bit 1   name bit = 0      numbers and strings
        ; Bit 2, number or string = 0 = number
            ; Bit 3 ,  1 action bit     + 24 bit number value
            0       dd colour_green         ; 4     green compiled number
            1       dd colour_yellow        ; 1     yellow "immediate" number
                ; Bits 4 and 5, 2 size bits
                0 0     24 bit
                0 1     32 bit  (1 extension token required)
                1 0     48 bit  (1 extension token required)
                1 1     64 bit  (2 extension tokens required)
                    ; Bits 6 and 7 format bits
                    0 0     unsigned decimal
                    0 1     unsigned hex
                    1 0     signed decimal
                    1 1     unsigned octal(?)
                        ; Bits 8 to 31, 24 bits of number value or Magenta variable name
        ; Bit 2, number or string = 1 = string
            ; Bits 3 and 4, 2 format bits
            0 0     Shannon-Fano 
            0 1     ASCII
            1 0     
            1 1     
                ; Bits 5 and 6, 2 format bits
                0 0     lowercase
                0 1     UPPERCASE
                1 0     Camelcase
                1 1     Blue token, adjusts screen display formatting
                    ; Bits 8 to 31, 24 bits of number value or Magenta variable name


